Snapservice VirtualMachines Snapshots list

Snapservice VirtualMachines Snapshots list

Paginated list of virtual machine snapshots

This operation was added in vSphere API 9.1.0.0.

Returns an authorization error if you do not have all of the privileges described as follows:

  • Operation execution requires System.Read.
Request
URI
GET
https://{host}/api/snapservice/virtual-machines/snapshots
COPY
Query Parameters
filter
Optional

Contains arguments to filter the list result.

If missing or null, the behavior is equivalent to a Snapservice VirtualMachines Snapshots FilterSpec with all properties missing or null which means all virtual machines snapshots match the filter.

string of array
vm_bios_uuids
Optional

BIOS identifiers of the virtual machines that can match the filter.

This property was added in vSphere API 9.1.0.0.

If missing or null or empty, virtual machines with any identifier matches the filter.

When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: VirtualMachine. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: VirtualMachine.

string of array
clusters
Optional

Identifiers of clusters that can match the filter.

This property was added in vSphere API 9.1.0.0.

If missing or null or empty, clusters with any identifier matches the filter.

When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: ClusterComputeResource. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: ClusterComputeResource.

string of array
snapshots
Optional

Identifiers of the snapshots that can match the filter.

This property was added in vSphere API 9.1.0.0.

If missing or null or empty, snapshots with any identifier match the filter.

When clients pass a value of this schema as a parameter, the property must contain identifiers for the resource type: com.vmware.snapservice.vm.snapshot. When operations return a value of this schema as a response, the property will contain identifiers for the resource type: com.vmware.snapservice.vm.snapshot.

iterate
Optional

The specification of a page to be retrieved.

If missing or null, the first page will be retrieved.


Authentication
This operation uses the following authentication methods.
Responses
200

List of virtual machine snapshots for virtual machines matching the Snapservice VirtualMachines Snapshots FilterSpec.

Returns Snapservice VirtualMachines Snapshots ListResult of type(s) application/json
{
    "snapshots": [
        {
            "name": "string",
            "snapshot": "string",
            "vm": "string",
            "vm_bios_uuid": "string",
            "creation_time": "string",
            "expiration_time": "string",
            "snapshot_type": "string",
            "labels": [
                {
                    "category": "string",
                    "name": "string"
                }
            ]
        }
    ],
    "total_count": 0
}
array of object
snapshots
Required

List of virtual machine snapshot items.

This property was added in vSphere API 9.1.0.0.

integer As int64 As int64
total_count
Required

The paginated list may contain partial result, this field provides total number of items with the given filters applied.

This property was added in vSphere API 9.1.0.0.


400

If validation of the filter or iterate fails.

Returns Vapi Std Errors InvalidArgument of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": {
                        "id": "string",
                        "params": {
                            "params": "Vapi Std LocalizationParam Object"
                        }
                    },
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

401

If the caller is not authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

If the caller is not authorized to perform the operation.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string",
    "challenge": "string"
}
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da158-2ba4-11e9-b",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 9.1.0.0.

This property is optional because it was added in a newer version than its parent node.


500

If there is unknown internal error.

Returns Vapi Std Errors Error of type(s) application/json
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


503

If the service is not available.

Returns Vapi Std Errors ServiceUnavailable of type(s) application/json
This response body class contains all of the following: Vapi Std Errors Error
{
    "messages": [
        {
            "id": "string",
            "default_message": "string",
            "args": [
                "string"
            ],
            "params": {
                "params": {
                    "s": "string",
                    "dt": "string",
                    "i": 0,
                    "d": "number",
                    "l": "Vapi Std NestedLocalizableMessage Object",
                    "format": "string",
                    "precision": 0
                }
            },
            "localized": "string"
        }
    ],
    "data": {},
    "error_type": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/snapservice/virtual-machines/snapshots